Wednesday, December 31, 2008

ANGEL 7.3 UPGRADE COMPLETED

ANGEL is now available for use.

Remember, you must use Internet Explorer 7 or Firefox 2 (or better). Internet Explorer 6 is no longer supported by ANGEL.

For more Information:

- Student FAQ - https://elearning.kumc.edu/AngelUploads/Content/HELP/index.html
- Faculty Videos - http://www2.kumc.edu/ir/tlt/angelupgrade/demos.html


Posted at 01:03PM Dec 31, 2008 by dgustafson

No comments:

Post a Comment